org.apache.http.impl.cookie

## Class DateUtils

- java.lang.Object
- - org.apache.http.impl.cookie.DateUtils

- 已过时。
  （4.3）使用`DateUtils` 。

      @Deprecated
      public final class DateUtils
      extends Object

  用于解析和格式化Cookie日期的实用程序类，用于Cookie和其他标题。 该类处理由RFC 2616第3.3.1节定义的日期以及一些其他常见的非标准格式。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeZone` | `GMT` 已过时。
    `static String` | `PATTERN_ASCTIME` 已过时。 用于解析ANSI C `asctime()`格式的HTTP日期标头的日期格式模式。
    `static String` | `PATTERN_RFC1036` 已过时。 用于解析RFC 1036格式的HTTP日期标头的日期格式模式。
    `static String` | `PATTERN_RFC1123` 已过时。 用于解析RFC 1123格式的HTTP日期标头的日期格式模式。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `formatDate(Date date)` 已过时。 根据RFC 1123模式格式化给定的日期。
    `static String` | `formatDate(Date date, String pattern)` 已过时。 根据指定的格式格式给定日期。
    `static Date` | `parseDate(String dateValue)` 已过时。 解析日期值。
    `static Date` | `parseDate(String dateValue, String[] dateFormats)` 已过时。 使用给定的日期格式解析日期值。
    `static Date` | `parseDate(String dateValue, String[] dateFormats, Date startDate)` 已过时。 使用给定的日期格式解析日期值。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### PATTERN_RFC1123

          public static final String PATTERN_RFC1123

      已过时。
      用于解析RFC 1123格式的HTTP日期标头的日期格式模式。
      另请参见：
        Constant Field Values

    - #### PATTERN_RFC1036

          public static final String PATTERN_RFC1036

      已过时。
      用于解析RFC 1036格式的HTTP日期标头的日期格式模式。
      另请参见：
        Constant Field Values

    - #### PATTERN_ASCTIME

          public static final String PATTERN_ASCTIME

      已过时。
      用于解析ANSI C `asctime()`格式的HTTP日期标头的日期格式模式。
      另请参见：
        Constant Field Values

    - #### GMT

          public static final TimeZone GMT

      已过时。

  - ### 方法详细信息

    - #### parseDate

          public static Date parseDate(String dateValue)
                                throws DateParseException

      已过时。
      解析日期值。 从默认的http参数中检索用于解析日期值的格式。
      参数
        `dateValue` - 要解析的日期值
      结果
        解析日期
      异常
        `DateParseException` - 如果无法使用任何支持的日期格式解析该值

    - #### parseDate

          public static Date parseDate(String dateValue,
                       String[] dateFormats)
                                throws DateParseException

      已过时。
      使用给定的日期格式解析日期值。
      参数
        `dateValue` - 要解析的日期值
        `dateFormats` - 要使用的日期格式
      结果
        解析日期
      异常
        `DateParseException` - 如果没有dataFormats可以解析dateValue

    - #### parseDate

          public static Date parseDate(String dateValue,
                       String[] dateFormats,
                       Date startDate)
                                throws DateParseException

      已过时。
      使用给定的日期格式解析日期值。
      参数
        `dateValue` - 要解析的日期值
        `dateFormats` - 要使用的日期格式
        `startDate` - 在解析期间，两位数年份将放在`startDate`到`startDate + 100 years`的范围内。 该值可能为`null` 。 当`null`被作为参数，一年`2000`将被使用。
      结果
        解析日期
      异常
        `DateParseException` - 如果没有dataFormats可以解析dateValue

    - #### formatDate

          public static String formatDate(Date date)

      已过时。
      根据RFC 1123模式格式化给定的日期。
      参数
        `date` - 格式化日期。
      结果
        RFC 1123格式化的日期字符串。
      另请参见：
        `PATTERN_RFC1123`

    - #### formatDate

          public static String formatDate(Date date,
                          String pattern)

      已过时。
      根据指定的格式格式给定日期。 该模式必须符合`simple date format`类使用的模式 。
      参数
        `date` - 格式化日期。
        `pattern` - 用于格式化日期的模式。
      结果
        格式化的日期字符串。
      异常
        `IllegalArgumentException` - 如果给定的日期模式无效。
      另请参见：
        `SimpleDateFormat`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585